#pragma once

#include <bt/behavior_node.hpp>

#include <Game/Core.hpp>

namespace bt::antiban {
  template<typename Context>
  class lose_focus_node : public behavior_node<Context> {
  public:
    bool move_mouse;

    lose_focus_node() noexcept : move_mouse(true) {}

    lose_focus_node(bool move_mouse) noexcept : move_mouse(move_mouse) {}

    node_task tick(Context &ctx) noexcept override {
      move_mouse ? Antiban::MouseOffClient(true) : Antiban::LoseClientFocus();
      co_return task_result::success;
    }
  };
}