#pragma once

#include <Game/Core.hpp>
#include <bt/behavior_node.hpp>

namespace bt {
template <typename Context>
class login_player : public behavior_node<Context> {
public:
  node_task tick(Context &ctx) noexcept override {
    if (!Login::LoginPlayer())
      co_return task_result::failure;

    co_return task_result::success;
  }
};

} // namespace bt